Skip to main content
POST
Create Affiliate User
Create a new user account for a specific affiliate. The user will receive an email asking to set their password unless an initial password is provided.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

affiliateId
integer
required

The ID of the affiliate for whom to create a user.

Query Parameters

notification
boolean
default:true

Whether to send a welcome notification email to the user. Defaults to true when omitted.

Body

application/json
first_name
string
required

The affiliate user's first name.

last_name
string
required

The affiliate user's last name.

email
string
required

The affiliate user's email. Must be unique among all affiliate users. Is used to log in the platform.

language_id
integer
required

The affiliate user's language ID. This is limited to the value 1 (English).

timezone_id
integer
required

The affiliate user's timezone ID. Can be found using the metadata API.

currency_id
string
required

The affiliate user's currency ID. Can be found using the metadata API.

account_status
enum<string>
required

The affiliate user's account status. Can be either active or inactive.

Available options:
active,
inactive
title
string

The affiliate user's title.

work_phone
string

The affiliate user's work phone number.

cell_phone
string

The affiliate user's cell phone number.

instant_messaging_id
integer

The ID of an instant messaging platform. Allows you to save their identifier for further reference. 0 = None, 1 = Skype, 2 = Yahoo Messenger, 3 = Telegram, 4 = WhatsApp, 5 = Other.

instant_messaging_identifier
string

The affiliate user's instant messaging identifier, if instant_messaging_id was different than 0.

initial_password
string

The affiliate user's login password. If left empty, the affiliate will be sent an email asking to set their password. If supplied, the password must have a length of at least 12 characters.

Response

200 - application/json
network_affiliate_user_id
integer

Unique affiliate user ID.

network_id
integer

The network ID this user belongs to.

network_affiliate_id
integer

The affiliate ID this user belongs to.

first_name
string

The affiliate user's first name.

last_name
string

The affiliate user's last name.

email
string

The affiliate user's email address. Is used to log in the platform.

title
string

The affiliate user's title.

work_phone
string

The affiliate user's work phone number.

cell_phone
string

The affiliate user's cell phone number.

instant_messaging_id
integer

The ID of an instant messaging platform.

instant_messaging_identifier
string

The affiliate user's instant messaging identifier.

language_id
integer

The affiliate user's language ID.

timezone_id
integer

The affiliate user's timezone ID.

currency_id
string

The affiliate user's currency ID.

account_status
enum<string>

The affiliate user's account status. Can be either active or inactive.

Available options:
active,
inactive
relationship
object | null

Related data for this affiliate user. Populate by passing relationship query parameters (e.g. ?relationship=logins&relationship=api).

time_created
integer

Unix timestamp of when the user was created.

Example:

1734455015

time_saved
integer

Unix timestamp of when the user was last updated.

Example:

1734455015